import { BasePartialBatchProcessor } from './BasePartialBatchProcessor.js';
import { BatchProcessingError } from './errors.js';
/**
 * Process native partial responses from SQS, Kinesis Data Streams, and DynamoDB
 */
class BatchProcessorSync extends BasePartialBatchProcessor {
    async processRecord(_record) {
        throw new BatchProcessingError('Not implemented. Use process() instead.');
    }
    /**
     * Process a record with instance's handler
     * @param record Batch record to be processed
     * @returns response of success or failure
     */
    processRecordSync(record) {
        try {
            const data = this.toBatchType(record, this.eventType);
            const result = this.handler(data, this.options?.context);
            return this.successHandler(record, result);
        }
        catch (error) {
            return this.failureHandler(record, error);
        }
    }
}
export { BatchProcessorSync };
